Reset paper trading balance

PATCH https://api.cryptohopper.com/v1/hopper/{id}/papertrading/reset

Resets the paper trading account of the hopper and removes its open orders, trailing buy orders, short positions, open positions and reserved positions.

Only for hoppers with paper trading enabled. Not available for copy bots.

Example request

curl -X PATCH "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/papertrading/reset" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "Reset paper trading successful."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.